commit f0caa19ff11bfcf7d9979b993542879e36f41a1c
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Dec 18 00:25:44 2024 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index cbf8d2dfdf1..781eeaca5bc 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20241217
+20241218
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index caa8268bf53..bf2f46f2b80 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,12 @@
+2024-12-17  Paul Thomas  <pault@gcc.gnu.org>
+
+	Backported from master:
+	2024-12-15  Paul Thomas  <pault@gcc.gnu.org>
+
+	PR fortran/117897
+	* trans-expr.cc (gfc_trans_assignment_1): RHS pointer function
+	results must not be finalized.
+
 2024-12-15  Paul Thomas  <pault@gcc.gnu.org>
 
 	PR fortran/117730
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 88e3749252e..23a90d83967 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,18 @@
+2024-12-17  Torbjörn SVENSSON  <torbjorn.svensson@foss.st.com>
+
+	Backported from master:
+	2024-12-17  Torbjörn SVENSSON  <torbjorn.svensson@foss.st.com>
+
+	* g++.dg/torture/pr81812.C: Add xfail for thumb1.
+
+2024-12-17  Paul Thomas  <pault@gcc.gnu.org>
+
+	Backported from master:
+	2024-12-15  Paul Thomas  <pault@gcc.gnu.org>
+
+	PR fortran/117897
+	* gfortran.dg/finalize_59.f90: New test.
+
 2024-12-15  Paul Thomas  <pault@gcc.gnu.org>
 
 	PR fortran/117730

